namespace Wizard.Battle.Phase;

public class NetworkBattlePhaseCreator : PhaseCreatorBase
{
	protected readonly NetworkBattleManagerBase _networkBattleManager;

	public NetworkBattlePhaseCreator(NetworkBattleManagerBase battleMgr)
		: base(battleMgr)
	{
		_networkBattleManager = battleMgr;
	}

	public override IPhase CreateMulliganPhase()
	{
		return new NetworkMulliganPhase(_networkBattleManager, _networkBattleManager.NetworkSender);
	}
}
